Endpoints · Wallets

Update a watched wallet

Renames a watched wallet or switches its email alerts on or off.

PATCH/api/v1/wallets/watched/{id}

Scope: watchlists:write

Parameters

Request
curl -X PATCH https://yieldsniper.finance/api/v1/wallets/watched/ww_6adce54490ff68368e73c549 \
  -H "Authorization: Bearer $YS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "email_alerts": false
  }'
Response200
{
  "object": "watched_wallet",
  "id": "ww_6adce54490ff68368e73c549",
  "address": "0x99e65176F7FA8743E3fbaEF277d1Da448e361367",
  "chain_family": "evm",
  "ens_name": null,
  "label": "Morpho vaults (Base)",
  "email_alerts": false,
  "last_checked_at": null,
  "score": 53,
  "band": "high",
  "previous_score": null,
  "alerts": {
    "critical": 3,
    "warning": 0,
    "info": 2
  },
  "value": 248725.85,
  "created_at": "2026-10-24T17:05:08.021Z"
}

Returns